/*1999*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad99.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad99.dta", clear
ren v4720 w_total
ren v0404 cor
ren v0403 numerofam 
ren v9058 horas
ren v8005 idade 
ren v0401 posdom
ren v0402 posfam
ren v1252 w_apos
ren v1255 w_pensao
ren v0302 sexo
ren v4729 peso
ren v4719 w_todos
ren v4706 posocup
ren UF uf
keep cor chave v4727 v4728 peso sexo idade educa w_total v9005 posocup v0602 v4711 v4718 w_todos v9101 v9115 v4705 w_todos uf numerofam horas posdom posfam w_apos w_pensao v9029 v9042 v4709 v9059
gen ano=1999
egen domic=group (chave), mi
egen fam=group(chave numerofam), mi
/* DESOCUPACAO */
gen naorem=0 if posocup==13
replace naorem=1 if posocup==13&horas>14
replace naorem=2 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace naorem=3 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
tab naorem, mi
tab naorem if posocup==13, mi
gen desocup=1 if v4705==2
replace desocup=1 if posocup==11&v9115==1
replace desocup=1 if posocup==12&v9115==1
replace desocup=1 if posocup==13&v9115==1&naorem==0
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v4705==1&(posocup<11|posocup>13)
replace ocup=1 if posocup==13&horas>14
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
tab tpft, mi
drop naorem
recast byte tpft ocup desocup
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=0
replace urbano=1 if v4728>0&v4728<4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if uf>30&uf<36
replace se =0 if se==.
gen ne=1 if uf>20&uf<30
replace ne=0 if ne==.
gen s=1 if uf>40&uf<44
replace s=0 if s==.
gen n=1 if uf>10&uf<17
replace n=0 if n==.
gen co=1 if (uf>49&uf<54)|uf==17
replace co=0 if co==.
recast byte s n ne se co 
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if posdom<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==6
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v4727==1

/*INFORMAL*/
gen informal=0
replace informal=1 if posocup==4|posocup==5|posocup==7|posocup==8
replace informal=1 if posocup==9&v4711==2
replace informal=1 if posocup==10&v4711==2
replace informal=1 if posocup==11|posocup==12|posocup==13
/*CASADOS*/
gen chefe=0
replace chefe=1 if posfam==1
gen conjuge=0
replace conjuge=1 if posfam==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v4709==1
replace ativ=2 if v4709>1&v4709<5
replace ativ=3 if v4709>4
/* ESTADO*/
replace uf=52 if uf==17

/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace w_todos=. if w_todos==999999999999
by uf: egen w_geral=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=., weight(peso)
by uf: egen w_agro=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==1, weight(peso)

/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if posdom==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if posdom==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if posdom==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal99.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal99.dta", replace
clear

/*2001*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad01.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad01.dta", clear
ren v4720 w_total
ren v0404 cor
ren v0403 numerofam 
ren v9058 horas
ren v8005 idade 
ren v0401 posdom
ren v0402 posfam
ren v1252 w_apos
ren v1255 w_pensao
ren v0302 sexo
ren v4729 peso
ren v4719 w_todos
ren v4706 posocup
*ren UF uf
keep cor chave v4727 v4728 peso sexo idade educa w_total v9005 posocup v0602 v4711 v4718 w_todos v9101 v9115 v4705 w_todos uf numerofam horas posdom posfam w_apos w_pensao v9029 v9042 v4709 v9059
gen ano=2001
egen domic=group (chave), mi
egen fam=group(chave numerofam), mi
/* DESOCUPACAO */
gen naorem=0 if posocup==13
replace naorem=1 if posocup==13&horas>14
replace naorem=2 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace naorem=3 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
tab naorem, mi
tab naorem if posocup==13, mi
gen desocup=1 if v4705==2
replace desocup=1 if posocup==11&v9115==1
replace desocup=1 if posocup==12&v9115==1
replace desocup=1 if posocup==13&v9115==1&naorem==0
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v4705==1&(posocup<11|posocup>13)
replace ocup=1 if posocup==13&horas>14
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
tab tpft, mi
drop naorem
recast byte tpft ocup desocup
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=0
replace urbano=1 if v4728>0&v4728<4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if uf>30&uf<36
replace se =0 if se==.
gen ne=1 if uf>20&uf<30
replace ne=0 if ne==.
gen s=1 if uf>40&uf<44
replace s=0 if s==.
gen n=1 if uf>10&uf<17
replace n=0 if n==.
gen co=1 if (uf>49&uf<54)|uf==17
replace co=0 if co==.
recast byte s n ne se co 
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if posdom<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==6
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v4727==1

/*INFORMAL*/
gen informal=0
replace informal=1 if posocup==4|posocup==5|posocup==7|posocup==8
replace informal=1 if posocup==9&v4711==2
replace informal=1 if posocup==10&v4711==2
replace informal=1 if posocup==11|posocup==12|posocup==13
/*CASADOS*/
gen chefe=0
replace chefe=1 if posfam==1
gen conjuge=0
replace conjuge=1 if posfam==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v4709==1
replace ativ=2 if v4709>1&v4709<5
replace ativ=3 if v4709>4
/* ESTADO*/
replace uf=52 if uf==17
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace w_todos=. if w_todos==999999999999
by uf: egen w_geral=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=., weight(peso)
by uf: egen w_agro=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==1, weight(peso)

/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if posdom==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if posdom==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if posdom==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal01.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal01.dta", replace
clear
/*2002*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad02.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad02.dta", clear
ren v4720 w_total
ren v0404 cor
ren v0403 numerofam 
ren v9058 horas
ren v8005 idade 
ren v0401 posdom
ren v0402 posfam
ren v1252 w_apos
ren v1255 w_pensao
ren v0302 sexo
ren v4729 peso
ren v4719 w_todos
ren v4706 posocup
keep cor chave v4727 v4728 peso sexo idade educa w_total v9005 posocup v0602 v4711 v4718 w_todos v9101 v9115 v4705 w_todos uf numerofam horas posdom posfam w_apos w_pensao v9029 v9042 v4809 v9059
gen ano=2002
egen domic=group (chave), mi
egen fam=group(chave numerofam), mi
/* DESOCUPACAO */
gen naorem=0 if posocup==13
replace naorem=1 if posocup==13&horas>14
replace naorem=2 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace naorem=3 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
tab naorem, mi
tab naorem if posocup==13, mi
gen desocup=1 if v4705==2
replace desocup=1 if posocup==11&v9115==1
replace desocup=1 if posocup==12&v9115==1
replace desocup=1 if posocup==13&v9115==1&naorem==0
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v4705==1&(posocup<11|posocup>13)
replace ocup=1 if posocup==13&horas>14
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
tab tpft, mi
drop naorem
recast byte tpft ocup desocup
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=0
replace urbano=1 if v4728>0&v4728<4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if uf>30&uf<36
replace se =0 if se==.
gen ne=1 if uf>20&uf<30
replace ne=0 if ne==.
gen s=1 if uf>40&uf<44
replace s=0 if s==.
gen n=1 if uf>10&uf<17
replace n=0 if n==.
gen co=1 if (uf>49&uf<54)|uf==17
replace co=0 if co==.
recast byte s n ne se co 
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if posdom<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==6
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v4727==1

/*INFORMAL*/
gen informal=0
replace informal=1 if posocup==4|posocup==5|posocup==7|posocup==8
replace informal=1 if posocup==9&v4711==2
replace informal=1 if posocup==10&v4711==2
replace informal=1 if posocup==11|posocup==12|posocup==13
/*CASADOS*/
gen chefe=0
replace chefe=1 if posfam==1
gen conjuge=0
replace conjuge=1 if posfam==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v4809==1
replace ativ=2 if v4809>1&v4809<5
replace ativ=3 if v4809>4
/* ESTADO*/
replace uf=52 if uf==17
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace w_todos=. if w_todos==999999999999
by uf: egen w_geral=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=., weight(peso)
by uf: egen w_agro=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==1, weight(peso)

/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if posdom==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if posdom==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if posdom==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal02.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal02.dta", replace
clear

/*2003*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad03.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad03.dta", clear
ren v4720 w_total
ren v0404 cor
ren v0403 numerofam 
ren v9058 horas
ren v8005 idade 
ren v0401 posdom
ren v0402 posfam
ren v1252 w_apos
ren v1255 w_pensao
ren v0302 sexo
ren v4729 peso
ren v4719 w_todos
ren v4706 posocup
ren UF uf
keep cor chave v4727 v4728 peso sexo idade educa w_total v9005 posocup v0602 v4711 v4718 w_todos v9101 v9115 v4705 w_todos uf numerofam horas posdom posfam w_apos w_pensao v9029 v9042 v4809 v9059
gen ano=2003
egen domic=group (chave), mi
egen fam=group(chave numerofam), mi
/* DESOCUPACAO */
gen naorem=0 if posocup==13
replace naorem=1 if posocup==13&horas>14
replace naorem=2 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace naorem=3 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
tab naorem, mi
tab naorem if posocup==13, mi
gen desocup=1 if v4705==2
replace desocup=1 if posocup==11&v9115==1
replace desocup=1 if posocup==12&v9115==1
replace desocup=1 if posocup==13&v9115==1&naorem==0
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v4705==1&(posocup<11|posocup>13)
replace ocup=1 if posocup==13&horas>14
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
tab tpft, mi
drop naorem
recast byte tpft ocup desocup
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=0
replace urbano=1 if v4728>0&v4728<4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if uf>30&uf<36
replace se =0 if se==.
gen ne=1 if uf>20&uf<30
replace ne=0 if ne==.
gen s=1 if uf>40&uf<44
replace s=0 if s==.
gen n=1 if uf>10&uf<17
replace n=0 if n==.
gen co=1 if (uf>49&uf<54)|uf==17
replace co=0 if co==.
recast byte s n ne se co 
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if posdom<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==6
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v4727==1

/*INFORMAL*/
gen informal=0
replace informal=1 if posocup==4|posocup==5|posocup==7|posocup==8
replace informal=1 if posocup==9&v4711==2
replace informal=1 if posocup==10&v4711==2
replace informal=1 if posocup==11|posocup==12|posocup==13
/*CASADOS*/
gen chefe=0
replace chefe=1 if posfam==1
gen conjuge=0
replace conjuge=1 if posfam==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v4809==1
replace ativ=2 if v4809>1&v4809<5
replace ativ=3 if v4809>4
/* ESTADO*/
replace uf=52 if uf==17
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace w_todos=. if w_todos==999999999999
by uf: egen w_geral=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=., weight(peso)
by uf: egen w_agro=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==1, weight(peso)

/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if posdom==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if posdom==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if posdom==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal03.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal03.dta", replace
clear

/*2004*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad04.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad04.dta", clear
ren v4720 w_total
ren v0404 cor
ren v0403 numerofam 
ren v9058 horas
ren v8005 idade 
ren v0401 posdom
ren v0402 posfam
ren v1252 w_apos
ren v1255 w_pensao
ren v0302 sexo
ren v4729 peso
ren v4719 w_todos
ren v4706 posocup
ren UF uf
keep cor chave v4727 v4728 peso sexo idade educa w_total v9005 posocup v0602 v4711 v4718 w_todos v9101 v9115 v4705 w_todos uf numerofam horas posdom posfam w_apos w_pensao v9029 v9042 v9059
*keep v4809
gen ano=2004
egen domic=group (chave), mi
egen fam=group(chave numerofam), mi
/* DESOCUPACAO */
gen naorem=0 if posocup==13
replace naorem=1 if posocup==13&horas>14
replace naorem=2 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace naorem=3 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
tab naorem, mi
tab naorem if posocup==13, mi
gen desocup=1 if v4705==2
replace desocup=1 if posocup==11&v9115==1
replace desocup=1 if posocup==12&v9115==1
replace desocup=1 if posocup==13&v9115==1&naorem==0
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v4705==1&(posocup<11|posocup>13)
replace ocup=1 if posocup==13&horas>14
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
tab tpft, mi
drop naorem
recast byte tpft ocup desocup
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=0
replace urbano=1 if v4728>0&v4728<4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if uf>30&uf<36
replace se =0 if se==.
gen ne=1 if uf>20&uf<30
replace ne=0 if ne==.
gen s=1 if uf>40&uf<44
replace s=0 if s==.
gen n=1 if uf>10&uf<17
replace n=0 if n==.
gen co=1 if (uf>49&uf<54)|uf==17
replace co=0 if co==.
recast byte s n ne se co 
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if posdom<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==6
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v4727==1

/*INFORMAL*/
gen informal=0
replace informal=1 if posocup==4|posocup==5|posocup==7|posocup==8
replace informal=1 if posocup==9&v4711==2
replace informal=1 if posocup==10&v4711==2
replace informal=1 if posocup==11|posocup==12|posocup==13
/*CASADOS*/
gen chefe=0
replace chefe=1 if posfam==1
gen conjuge=0
replace conjuge=1 if posfam==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
*gen ativ=1 if v4809==1
*replace ativ=2 if v4809>1&v4809<5
*replace ativ=3 if v4809>4
/* ESTADO*/
replace uf=52 if uf==17
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace w_todos=. if w_todos==999999999999
by uf: egen w_geral=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=., weight(peso)
by uf: egen w_agro=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==1, weight(peso)

/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if posdom==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if posdom==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if posdom==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal04.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal04.dta", replace
clear

/*2005*/
use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\pnad05.dta", clear
*use "C:\guilherme\bancos_de_dados\PNAD\pnad05.dta", clear
ren v4720 w_total
ren v0404 cor
ren v0403 numerofam 
ren v9058 horas
ren v8005 idade 
ren v0401 posdom
ren v0402 posfam
ren v1252 w_apos
ren v1255 w_pensao
ren v0302 sexo
ren v4729 peso
ren v4719 w_todos
ren v4706 posocup
ren UF uf
keep cor chave v4809 v4727 v4728 peso sexo idade educa w_total v9005 posocup v0602 v4711 v4718 w_todos v9101 v9115 v4705 w_todos uf numerofam horas posdom posfam w_apos w_pensao v9029 v9042 v9059
gen ano=2005
egen domic=group (chave), mi
egen fam=group(chave numerofam), mi
/* DESOCUPACAO */
gen naorem=0 if posocup==13
replace naorem=1 if posocup==13&horas>14
replace naorem=2 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace naorem=3 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
tab naorem, mi
tab naorem if posocup==13, mi
gen desocup=1 if v4705==2
replace desocup=1 if posocup==11&v9115==1
replace desocup=1 if posocup==12&v9115==1
replace desocup=1 if posocup==13&v9115==1&naorem==0
replace desocup=0 if desocup==.
/* OCUPACAO */
gen ocup=1 if v4705==1&(posocup<11|posocup>13)
replace ocup=1 if posocup==13&horas>14
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&w_todos>0
replace ocup=1 if posocup==13&horas>0&horas<15&v9005>1&v9101>14
replace ocup=0 if ocup==.
/* PARTICIPACAO */
gen tpft=ocup+desocup
tab tpft, mi
drop naorem
recast byte tpft ocup desocup
/*NAO PARTICIPAAO*/
gen naotpft=0
replace naotpft=1 if tpft==0
/*NAO TRABALHO*/
gen naotrab=0
replace naotrab=1 if naotpft==1|ocup==0
recast byte naotpft naotrab
/* URBANO*/
gen urbano=0
replace urbano=1 if v4728>0&v4728<4
recast byte urbano
/*DUMMIES REGIONAIS*/
gen se=1 if uf>30&uf<36
replace se =0 if se==.
gen ne=1 if uf>20&uf<30
replace ne=0 if ne==.
gen s=1 if uf>40&uf<44
replace s=0 if s==.
gen n=1 if uf>10&uf<17
replace n=0 if n==.
gen co=1 if (uf>49&uf<54)|uf==17
replace co=0 if co==.
recast byte s n ne se co 
/*NUMERO DE CRIANCAS POR DOMICILIO*/
gen cri=.
replace cri=1 if idade>=0&idade<5
egen n_cri1=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>4&idade<10
egen n_cri2=sum(cri) if posdom<6, by(domic)
drop cri
gen cri=.
replace cri=1 if idade>9&idade<15
egen n_cri3=sum(cri) if posdom<6, by(domic)
drop cri
/*BRANCO*/
gen bco=0
replace bco=1 if cor==2|cor==6
/*METROPOLITANA*/
gen metro=0
replace metro=1 if v4727==1

/*INFORMAL*/
gen informal=0
replace informal=1 if posocup==4|posocup==5|posocup==7|posocup==8
replace informal=1 if posocup==9&v4711==2
replace informal=1 if posocup==10&v4711==2
replace informal=1 if posocup==11|posocup==12|posocup==13
/*CASADOS*/
gen chefe=0
replace chefe=1 if posfam==1
gen conjuge=0
replace conjuge=1 if posfam==2
/*MULHER*/
gen mulher=0
replace mulher=1 if sexo==4
/*ATIVIDADE*/
gen ativ=1 if v4809==1
replace ativ=2 if v4809>1&v4809<5
replace ativ=3 if v4809>4
/* ESTADO*/
replace uf=52 if uf==17
/*ESCOLARIDADE*/
gen catedu1h=0
gen catedu2h=0
gen catedu3h=0
gen catedu4h=0
replace catedu1h=1 if idade>24&educa>=0&educa<5&sexo==2
replace catedu2h=1 if idade>24&educa>4&educa<9&sexo==2
replace catedu3h=1 if idade>24&educa>8&educa<12&sexo==2
replace catedu4h=1 if idade>24&educa>11&educa<20&sexo==2
gen catedu1m=0
gen catedu2m=0
gen catedu3m=0
gen catedu4m=0
replace catedu1m=1 if idade>24&educa<5&sexo==4
replace catedu2m=1 if idade>24&educa>4&educa<9&sexo==4
replace catedu3m=1 if idade>24&educa>8&educa<12&sexo==4
replace catedu4m=1 if idade>24&educa>11&educa<20&sexo==4
gen catedu1j=0
gen catedu2j=0
gen catedu3j=0
gen catedu4j=0
replace catedu1j=1 if idade>14&idade<25&educa<5
replace catedu2j=1 if idade>14&idade<25&educa>4&educa<9
replace catedu3j=1 if idade>14&idade<25&educa>8&educa<12
replace catedu4j=1 if idade>14&idade<25&educa>11&educa<20
/*IDADE*/
gen catid1h=0
replace catid1h=1 if idade>14&idade<25&sexo==2
gen catid2h=0
replace catid2h=1 if idade>24&idade<35&sexo==2
gen catid3h=0
replace catid3h=1 if idade>34&idade<45&sexo==2
gen catid4h=0
replace catid4h=1 if idade>44&idade<55&sexo==2
gen catid5h=0 
replace catid5h=1 if idade>54&idade<65&sexo==2
gen catid6h=0
replace catid6h=1 if idade>64&sexo==2
gen catid1m=0
replace catid1m=1 if idade>14&idade<25&sexo==4
gen catid2m=0
replace catid2m=1 if idade>24&idade<35&sexo==4
gen catid3m=0
replace catid3m=1 if idade>34&idade<45&sexo==4
gen catid4m=0
replace catid4m=1 if idade>44&idade<55&sexo==4
gen catid5m=0 
replace catid5m=1 if idade>54&idade<65&sexo==4
gen catid6m=0
replace catid6m=1 if idade>64&sexo==4
gen catid1j=0
replace catid1j=1 if idade>14&idade<20
gen catid2j=0
replace catid2j=1 if idade>19&idade<25
/*MEDIAS POR ESTADOS*/
replace ocup=. if ocup==0
so uf
/*demanda*/
by uf: egen nd_geral=sum(ocup*peso) if idade>14
by uf: egen nd_agro=sum(ocup*peso) if idade>14&ativ==1
by uf: egen nd_ind=sum(ocup*peso) if idade>14&ativ==2
by uf: egen nd_serv=sum(ocup*peso) if idade>14&ativ==3
by uf: egen nd_homem=sum(ocup*peso) if idade>24&sexo==2
by uf: egen nd_mulher=sum(ocup*peso) if idade>24&sexo==4
by uf: egen nd_jovem=sum(ocup*peso) if idade>14&idade<25
by uf: egen nd_educa1=sum(ocup*peso) if idade>14&educa<5
by uf: egen nd_educa2=sum(ocup*peso) if idade>14&educa>4&educa<9
by uf: egen nd_educa3=sum(ocup*peso) if idade>14&educa>8&educa<12
by uf: egen nd_educa4=sum(ocup*peso) if idade>14&educa>11&educa<20
by uf: egen nd_informal=sum(ocup*peso) if idade>14&informal==1
by uf: egen nd_formal=sum(ocup*peso) if idade>14&informal==0
by uf: egen nd_branco=sum(ocup*peso) if idade>14&bco==1
by uf: egen nd_nbranco=sum(ocup*peso) if idade>14&bco==0
by uf: egen nd_rural=sum(ocup*peso) if idade>14&urbano==0
by uf: egen nd_urbano=sum(ocup*peso) if idade>14&urbano==1
replace ocup=0 if ocup==.
replace w_todos=. if w_todos==999999999999
by uf: egen w_geral=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=., weight(peso)
by uf: egen w_agro=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==1, weight(peso)
by uf: egen w_ind=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==2, weight(peso)
by uf: egen w_serv=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&ativ==3, weight(peso)
by uf: egen w_homem=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==2, weight(peso)
by uf: egen w_mulher=wtmean(w_todos) if idade>24&w_todos>0&w_todos~=.&sexo==4, weight(peso)
by uf: egen w_jovem=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&idade<25, weight(peso)
by uf: egen w_educa1=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa<5, weight(peso)
by uf: egen w_educa2=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>4&educa<9, weight(peso)
by uf: egen w_educa3=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>8&educa<12, weight(peso)
by uf: egen w_educa4=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&educa>11&educa<20, weight(peso)
by uf: egen w_informal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==1, weight(peso)
by uf: egen w_formal=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&informal==0, weight(peso)
by uf: egen w_branco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==1, weight(peso)
by uf: egen w_nbranco=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&bco==0, weight(peso)
by uf: egen w_rural=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==0, weight(peso)
by uf: egen w_urbano=wtmean(w_todos) if idade>14&w_todos>0&w_todos~=.&urbano==1, weight(peso)

/*oferta*/
replace tpft=. if tpft==0
by uf: egen nsh_geral=sum(tpft*peso) if idade>24&sexo==2
by uf: egen nsm_geral2=sum(tpft*peso) if idade>24&sexo==4
by uf: egen nsj_geral=sum(tpft*peso) if idade>14&idade<25
by uf: egen ns_edu1=sum(tpft*peso) if idade>24&educa>=0&educa<5
by uf: egen ns_edu2=sum(tpft*peso) if idade>24&educa>4&educa<9
by uf: egen ns_edu3=sum(tpft*peso) if idade>24&educa>8&educa<12
by uf: egen ns_edu4=sum(tpft*peso) if idade>24&educa>11&educa<20
by uf: egen pop_h=sum(peso) if idade>24&sexo==2
by uf: egen pop_m=sum(peso) if idade>24&sexo==4
by uf: egen pop_j=sum(peso) if idade>14&idade<25
by uf: egen bco_h=wtmean(bco) if idade>24&sexo==2, weight(peso)
by uf: egen bco_m=wtmean(bco) if idade>24&sexo==4, weight(peso)
by uf: egen bco_j=wtmean(bco) if idade>14&idade<25, weight(peso)
by uf: egen cri1=wtmean(n_cri1) if posdom==1, weight(peso)
by uf: egen cri2=wtmean(n_cri2) if posdom==1, weight(peso)
by uf: egen cri3=wtmean(n_cri3) if posdom==1, weight(peso)
by uf: egen edu1h=wtmean(catedu1h) if idade>24&sexo==2, weight (peso)
by uf: egen edu2h=wtmean(catedu2h) if idade>24&sexo==2, weight (peso)
by uf: egen edu3h=wtmean(catedu3h) if idade>24&sexo==2, weight (peso)
by uf: egen edu4h=wtmean(catedu4h) if idade>24&sexo==2, weight (peso)
by uf: egen edu1m=wtmean(catedu1m) if idade>24&sexo==4, weight (peso)
by uf: egen edu2m=wtmean(catedu2m) if idade>24&sexo==4, weight (peso)
by uf: egen edu3m=wtmean(catedu3m) if idade>24&sexo==4, weight (peso)
by uf: egen edu4m=wtmean(catedu4m) if idade>24&sexo==4, weight (peso)
by uf: egen edu1j=wtmean(catedu1j) if idade>14&idade<25, weight (peso)
by uf: egen edu2j=wtmean(catedu2j) if idade>14&idade<25, weight (peso)
by uf: egen edu3j=wtmean(catedu3j) if idade>14&idade<25, weight (peso)
by uf: egen edu4j=wtmean(catedu4j) if idade>14&idade<25, weight (peso)
by uf: egen id1h=wtmean(catid1h) if idade>24&sexo==2, weight (peso)
by uf: egen id2h=wtmean(catid2h) if idade>24&sexo==2, weight (peso)
by uf: egen id3h=wtmean(catid3h) if idade>24&sexo==2, weight (peso)
by uf: egen id4h=wtmean(catid4h) if idade>24&sexo==2, weight (peso)
by uf: egen id5h=wtmean(catid5h) if idade>24&sexo==2, weight (peso)
by uf: egen id6h=wtmean(catid6h) if idade>24&sexo==2, weight (peso)
by uf: egen id1m=wtmean(catid1m) if idade>24&sexo==4, weight (peso)
by uf: egen id2m=wtmean(catid2m) if idade>24&sexo==4, weight (peso)
by uf: egen id3m=wtmean(catid3m) if idade>24&sexo==4, weight (peso)
by uf: egen id4m=wtmean(catid4m) if idade>24&sexo==4, weight (peso)
by uf: egen id5m=wtmean(catid5m) if idade>24&sexo==4, weight (peso)
by uf: egen id6m=wtmean(catid6m) if idade>24&sexo==4, weight (peso)
by uf:egen id1j=wtmean(catid1j) if idade>14&idade<25, weight (peso)
by uf:egen id2j=wtmean(catid2j) if idade>14&idade<25, weight (peso)
/*por educao*/
by uf: egen pop_edu1=sum(peso) if idade>24&educa>=0&educa<5
by uf: egen pop_edu2=sum(peso) if idade>24&educa>4&educa<9
by uf: egen pop_edu3=sum(peso) if idade>24&educa>8&educa<12
by uf: egen pop_edu4=sum(peso) if idade>24&educa>11&educa<20
by uf: egen bco_edu1=wtmean(bco) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen bco_edu2=wtmean(bco) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen bco_edu3=wtmean(bco) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen bco_edu4=wtmean(bco) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen mulher_edu1=wtmean(mulher) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen mulher_edu2=wtmean(mulher) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen mulher_edu3=wtmean(mulher) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen mulher_edu4=wtmean(mulher) if idade>24&educa>11&educa<20, weight(peso)
gen catid1=catid1h+catid1m
gen catid2=catid2h+catid2m
gen catid3=catid3h+catid3m
gen catid4=catid4h+catid4m
gen catid5=catid5h+catid5m
gen catid6=catid6h+catid6m
by uf: egen id1_edu1=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu1=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu1=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu1=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu1=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu1=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu2=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu2=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu2=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu2=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu2=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu2=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu3=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu3=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu3=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu3=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu3=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu3=wtmean(catid6) if idade>24, weight (peso)
by uf: egen id1_edu4=wtmean(catid1) if idade>24, weight (peso)
by uf: egen id2_edu4=wtmean(catid2) if idade>24, weight (peso)
by uf: egen id3_edu4=wtmean(catid3) if idade>24, weight (peso)
by uf: egen id4_edu4=wtmean(catid4) if idade>24, weight (peso)
by uf: egen id5_edu4=wtmean(catid5) if idade>24, weight (peso)
by uf: egen id6_edu4=wtmean(catid6) if idade>24, weight (peso)

by uf: egen cri1_edu1=wtmean(n_cri1) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri1_edu2=wtmean(n_cri1) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri1_edu3=wtmean(n_cri1) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri1_edu4=wtmean(n_cri1) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri2_edu1=wtmean(n_cri2) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri2_edu2=wtmean(n_cri2) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri2_edu3=wtmean(n_cri2) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri2_edu4=wtmean(n_cri2) if idade>24&educa>11&educa<20, weight(peso)
by uf: egen cri3_edu1=wtmean(n_cri3) if idade>24&educa>=0&educa<5, weight(peso)
by uf: egen cri3_edu2=wtmean(n_cri3) if idade>24&educa>4&educa<9, weight(peso)
by uf: egen cri3_edu3=wtmean(n_cri3) if idade>24&educa>8&educa<12, weight(peso)
by uf: egen cri3_edu4=wtmean(n_cri3) if idade>24&educa>11&educa<20, weight(peso)

/*curva de salarios*/
by uf: egen desemp=wtmean(desocup) if idade>14&tpft==1, weight (peso)
by uf: egen frac_mulher=wtmean(mulher) if idade>14, weight(peso)
by uf: egen idade_barra=wtmean (idade) if idade>14&idade~=., weight(peso)
by uf: egen educa_barra=wtmean (educa) if idade>14&idade~=.&educa~=., weight(peso)
by uf: gen frac_agro=nd_agro/nd_geral if idade>14
by uf: gen frac_ind=nd_ind/nd_geral if idade>14
by uf: gen frac_serv=nd_serv/nd_geral if idade>14
by uf: egen frac_bco=wtmean(bco) if idade>14, weight(peso)
stop
/*dados para as regresses*/
collapse (mean) pop_edu1 pop_edu2 pop_edu3 pop_edu4 bco_edu1 bco_edu2 bco_edu3 bco_edu4 mulher_edu1 mulher_edu2 mulher_edu3 mulher_edu4 id1_edu1 id2_edu1 id3_edu1 id4_edu1 id5_edu1 id6_edu1 id1_edu2 id2_edu2 id3_edu2 id4_edu2 id5_edu2 id6_edu2 id1_edu3 id2_edu3 id3_edu3 id4_edu3 id5_edu3 id6_edu3 id1_edu4 id2_edu4 id3_edu4 id4_edu4 id5_edu4 id6_edu4 cri1_edu1 cri1_edu2 cri1_edu3 cri1_edu4 cri2_edu1 cri2_edu2 cri2_edu3 cri2_edu4 cri3_edu1 cri3_edu2 cri3_edu3 cri3_edu4 desemp frac_mulher idade_barra educa_barra frac_agro frac_ind frac_serv frac_bco nd_geral nd_agro nd_ind nd_serv nd_homem nd_mulher nd_jovem nd_educa* nd_informal nd_formal nd_rural nd_urbano w_geral w_agro w_ind w_serv w_homem w_mulher w_jovem w_educa* w_informal w_formal w_rural w_urbano nsh_geral nsm_geral nsj_geral ns_edu* pop_m pop_h pop_j cri1 cri2 cri3 id1h id2h id3h id4h id5h id6h edu1h edu2h edu3h edu4h id1m id2m id3m id4m id5m id6m edu1m edu2m edu3m edu4m id1j id2j edu1j edu2j edu3j edu4j ano, by (uf)
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal05.dta", replace
*save "C:\guilherme\bancos_de_dados\PNAD\cepal05.dta", replace
clear



/*  APPEND  */

use "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal85.dta", replace
append using  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal86.dta"
append using  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal87.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal88.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal89.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal90.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal92.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal93.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal95.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal96.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal97.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal98.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal99.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal01.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal02.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal03.dta"
append using "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\cepal04.dta"
save  "C:\Documents and Settings\Gui\Meus documentos\guilherme\PNAD\dados_cepal2_1.dta", replace

/*use "C:\guilherme\bancos_de_dados\PNAD\cepal85.dta", replace
append using "C:\guilherme\bancos_de_dados\PNAD\cepal86.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal87.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal88.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal89.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal90.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal92.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal93.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal95.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal96.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal97.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal98.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal99.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal01.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal02.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal03.dta"
append using "C:\guilherme\bancos_de_dados\PNAD\cepal04.dta"
save "C:\guilherme\bancos_de_dados\PNAD\dados_cepal2.dta", replace*/











